dk_make_protocol(1)

NAME
dk_make_protocol - tool to generate protocol declarations from D-Bus introspection data

SYNOPSIS
dk_make_protocol -i interface_file -o output_file

DESCRIPTION
dk_make_protocol parses D-Bus interface files with introspection data and generates Objective-C @protocol declarations. This allows invoking methods on D-Bus objects from GNUstep application code using the DBusKit framework.

dk_make_protocol accepts the following options:

OPTIONS

-i interface_file
    Expects the interface file with introspection data.

-o output_file
    Output file for the header with the generated @protocol declarations. If this option is omitted, the generated header will be printed on the standard output.

EXAMPLES
dk_make_protocol -i org.freedesktop.Foo.xml -o Foo.h

SEE ALSO
GNUstep(7).

AUTHORS
dk_make_protocol was written by Niels Grewe <niels.grewe@halbordnung.de>.

This manual page was added by Yavor Doganov <yavor@gnu.org>.

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc.

Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.